# Get Risk Score(KYT/KYA)

Returns the risk score, risk detail list for a given address or transaction hash.

**Note**: This API calculates the risk score based on all transactions associated with the given address. All assets on the same blockchain will return the same result regardless of the coin parameter.

#### HTTP Request

```shell
GET https://openapi.misttrack.io/v2/risk_score
   ?coin=ETH
   &address={address}
   &txid={txn hash}
   &api_key=YourApiKey
```

> Try this endpoint in your [browser](https://openapi.misttrack.io/v2/risk_score?coin=ETH\&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045\&api_key=YourApiKey) 🔗

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table><thead><tr><th width="161.66666666666666">Parameter</th><th width="164">Type</th><th>Description</th></tr></thead><tbody><tr><td>coin</td><td>string</td><td>the coin to check for risk score, <strong>all optional values can be found</strong> <a href="/pages/4iOi28DV0NUUh4ETEpMx#multi-chain-support"><strong>here</strong></a></td></tr><tr><td>address</td><td>string</td><td>the address to check for risk score, optional.</td></tr><tr><td>txid</td><td>string</td><td>the transaction hash to check for risk score, optional.</td></tr><tr><td>api_key</td><td>string</td><td>your api key</td></tr></tbody></table>

{% hint style="info" %}
Provide either `address` or `txid` as the target. Do not both.
{% endhint %}
{% endtab %}

{% tab title="Response" %}
Response Data Parameters

<table><thead><tr><th width="210">Parameter</th><th width="107.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>score</td><td>int</td><td>Risk score of the queried address. Range: 3–100.</td></tr><tr><td>hacking_event</td><td>string</td><td>Related security incident associated with the address (if any).</td></tr><tr><td>detail_list</td><td>list</td><td>List of risk indicators associated with the address.</td></tr><tr><td>risk_level</td><td>string</td><td>Risk level, <a href="#risk-level-guide">Low / Moderate / High / Severe</a></td></tr><tr><td>risk_detail</td><td>list</td><td>Detailed breakdown of risk exposures used in score calculation.</td></tr><tr><td>risk_report_url</td><td>string</td><td>URL to download the MistTrack AML risk report (PDF) for this query.</td></tr></tbody></table>

Parameters for `risk_detail`

<table><thead><tr><th width="142.8359375">Parameter</th><th width="88.26953125">Type</th><th>Description</th></tr></thead><tbody><tr><td>entity</td><td>string</td><td>Name of the associated risk entity (e.g., garantex.io). This field is not enumerable.</td></tr><tr><td>risk_type</td><td>string</td><td><ul><li>sanctioned_entity</li><li>illicit_activity</li><li>mixer</li><li>gambling</li><li>risk_exchange</li><li>bridge</li></ul></td></tr><tr><td>exposure_type</td><td>string</td><td><ul><li>direct</li><li>indirect</li></ul></td></tr><tr><td>hop_num</td><td>int</td><td>Number of hops between the queried address and the risk entity. Minimum value: 1.</td></tr><tr><td>volume</td><td>float</td><td>Total transaction volume associated with the risk entity (in USD).</td></tr><tr><td>percent</td><td>float</td><td>Proportion of this risk exposure relative to the total transaction volume.</td></tr></tbody></table>

Sample Response

```json
{
    "success": true, 
    "msg": "", 
    "data": {
        "score": 35, 
        "hacking_event": "", 
        "detail_list": [
            "Involved Illicit Activity", 
            "Interact With High-risk Tag Address"
        ], 
        "risk_level": "Moderate", 
        "risk_detail": [
            {
                "entity": "huionepay", 
                "risk_type": "sanctioned_entity", 
                "volume": 6700352.55, 
                "hop_num": 2, 
                "exposure_type": "indirect", 
                "percent": 3.419
            }, 
            {
                "entity": "huionepay", 
                "risk_type": "sanctioned_entity", 
                "volume": 3466297, 
                "hop_num": 1, 
                "exposure_type": "direct", 
                "percent": 1.769
            }, 
            {
                "entity": "www.hwdb.la", 
                "risk_type": "sanctioned_entity", 
                "volume": 224267, 
                "hop_num": 2, 
                "exposure_type": "indirect", 
                "percent": 0.114
            }, 
            {
                "entity": "Guarantee Merchant", 
                "risk_type": "illicit_activity", 
                "volume": 7301824.568, 
                "hop_num": 1, 
                "exposure_type": "indirect", 
                "percent": 3.726
            }, 
            {
                "entity": "Theft", 
                "risk_type": "illicit_activity", 
                "volume": 4515631, 
                "hop_num": 7, 
                "exposure_type": "indirect", 
                "percent": 2.304
            }, 
            {
                "entity": "Guarantee Merchant", 
                "risk_type": "illicit_activity", 
                "volume": 1607263.16, 
                "hop_num": 5, 
                "exposure_type": "indirect", 
                "percent": 0.82
            }, 
            {
                "entity": "Guarantee Merchant", 
                "risk_type": "illicit_activity", 
                "volume": 69478, 
                "hop_num": 4, 
                "exposure_type": "indirect", 
                "percent": 0.035
            }
        ],
        "risk_report_url": "https://light.misttrack.io/riskReport/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045?token=39407df8-a72f-4fa7-ab8b-c9034af97ff7"
    }
}
```

{% endtab %}
{% endtabs %}

### Risk Descriptions For `detail_list`

| Risk Item                                 | Risk Description                                                                                                                           |
| ----------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Malicious Address                         | Address directly involved in malicious events, example: DeFi protocol exploiters, centralized exchange hackers, sanctioned addresses, etc. |
| Suspected Malicious Address               | Address associated with malicious events                                                                                                   |
| High-risk Tag Address                     | High-risk entity address, example: Mixers, some nested exchanges, etc.                                                                     |
| Medium-risk Tag Address                   | Medium-risk entity address, example: Gambling, exchanges not requiring KYC, etc.                                                           |
| Mixer                                     | Mixer entity address, example: Tornado Cash, etc.                                                                                          |
| Sanctioned Entity                         | Sanctioned entity address, example: garantex, etc.                                                                                         |
| Risk Exchange                             | Exchanges that do not require KYC                                                                                                          |
| Gambling                                  | Gambling entity address                                                                                                                    |
| Involved Theft Activity                   | Address involved in theft events                                                                                                           |
| Involved Ransom Activity                  | Address involved in ransom events                                                                                                          |
| Involved Phishing Activity                | Address involved in phishing events                                                                                                        |
| Involved Illicit Activity                 | Address involved in illicit activity, example: money laundering, etc.                                                                      |
| Interact With Malicious Address           | Interactions with malicious address                                                                                                        |
| Interact With Suspected Malicious Address | Interactions with suspected malicious address                                                                                              |
| Interact With High-risk Tag Address       | Interactions with high-risk address                                                                                                        |
| Interact With Medium-risk Tag Addresses   | Interactions with medium-risk address                                                                                                      |

### Risk Level Guide

<table><thead><tr><th width="163">Risk Level</th><th width="138">Risk Score</th><th>Suggested Operations</th></tr></thead><tbody><tr><td>Severe</td><td>91 ~ 100</td><td>Prohibit withdrawals &#x26; trade, and report address immediately</td></tr><tr><td>High</td><td>71 ~ 90</td><td>Maintain high level surveillance, and analyze via MistTrack AML platform or OpenAPI to conduct transaction analysis</td></tr><tr><td>Moderate</td><td>31 ~ 70</td><td>Moderate supervision required</td></tr><tr><td>Low</td><td>0 ~ 30</td><td>Minimal supervision required</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.misttrack.io/api-endpoints/get-risk-score.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
